libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.229. __nv_max

Prototype:

    i32 @__nv_max(i32 %x, i32 %y)

Description:

Determine the maximum value of the two 32-bit signed integers `x` and `y`.

Returns:

Returns the maximum value of the two 32-bit signed integers `x` and `y`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes